TRUNCATE TABLE SPORTS_AHL_TEAMS_GROUPINGS;
INSERT INTO SPORTS_AHL_TEAMS_GROUPINGS (team_id, season_from, season_to, grouping_id) VALUES
('PRR', '1926', '1935', '1'),
('QCB', '1926', '1935', '1'),
('SPI', '1926', '1932', '1'),
('SPI', '1935', '1935', '1'),
('PRR', '1936', '1939', '2'),
('SPI', '1936', '1939', '2'),
('HOA', '1965', '1966', '5'),
('HOA', '1967', '1967', '6'),
('HOA', '1968', '1968', '8'),
('HER', '1932', '1932', '9'),
('HER', '1933', '1937', '10'),
('HER', '1938', '1939', '4'),
('MIL', '1973', '1976', '12'),
('ERB', '1975', '1975', '14'),
('ERB', '1976', '1976', '13'),
('ERB', '1978', '1978', '15'),
('ERB', '1979', '1980', '16'),
('CHI', '1994', '1994', '18'),
('CHI', '1995', '1998', '24'),
('CHI', '1999', '2000', '23'),
('GR', '1996', '1996', '18'),
('GR', '1997', '1998', '19'),
('GR', '1999', '2000', '20'),
('HOU', '1994', '1995', '25'),
('HOU', '1996', '1996', '21'),
('HOU', '1997', '1998', '22'),
('HOU', '1999', '2000', '23'),
('DEG', '1994', '1994', '22'),
('UTG', '1995', '1996', '21'),
('UTG', '1997', '1998', '22'),
('UTG', '1999', '2000', '23'),
('MIM', '1994', '1994', '25'),
('MIM', '1995', '1995', '24'),
('MTB', '1996', '1998', '24'),
('MTB', '1999', '2000', '23'),
('MIL', '1977', '1979', '21'),
('MIL', '1980', '1980', '23'),
('MIL', '1981', '1981', '17'),
('MIL', '1982', '1982', '23'),
('MIL', '1983', '1983', '17'),
('MIL', '1984', '1990', '23'),
('MIL', '1991', '1991', '20'),
('MIL', '1992', '1993', '24'),
('MIL', '1994', '1994', '25'),
('MIL', '1995', '1998', '24'),
('MIL', '1999', '2000', '20'),
('ABB', '2009', '2010', '52'),
('ABB', '2011', '2011', '54'),
('ABB', '2012', '2012', '52'),
('ABB', '2013', '2013', '54'),
('ADK', '2014', '2014', '52'),
('ADP', '2009', '2010', '49'),
('ADP', '2011', '2013', '48'),
('VIW', '1971', '1972', '28'),
('VIW', '1973', '1974', '31'),
('ADR', '1979', '1979', '30'),
('ADR', '1980', '1981', '31'),
('ADR', '1982', '1986', '30'),
('ADR', '1987', '1990', '31'),
('ADR', '1991', '1994', '30'),
('ADR', '1995', '1995', '38'),
('ADR', '1996', '1996', '37'),
('ADR', '1997', '1998', '50'),
('ALB', '2010', '2010', '49'),
('ALB', '2011', '2014', '48'),
('ALB', '2015', NULL, '47'),
('ALR', '1993', '1994', '30'),
('ALR', '1995', '1995', '38'),
('ALR', '1996', '1996', '37'),
('ALR', '1997', '1999', '50'),
('ALR', '2000', '2000', '51'),
('ALR', '2001', '2004', '49'),
('ALR', '2005', '2005', '44'),
('ALR', '2006', '2009', '49'),
('BAK', '2015', NULL, '57'),
('BLB', '1995', '1995', '39'),
('BLB', '1996', '1996', '41'),
('BLS', '1982', '1992', '31'),
('BIR', '1977', '1977', '30'),
('BIR', '1978', '1994', '31'),
('BIR', '1995', '1995', '39'),
('BIR', '1996', '1996', '37'),
('BIN', '2002', '2014', '49'),
('BIN', '2015', NULL, '47'),
('BRI', '2001', '2008', '49'),
('BRI', '2009', '2010', '44'),
('BRI', '2011', '2014', '48'),
('BRI', '2015', NULL, '44'),
('NSO', '1984', '1987', '30'),
('CBO', '1988', '1990', '30'),
('CBO', '1991', '1994', '29'),
('CBO', '1995', '1995', '34'),
('CDI', '1990', '1990', '31'),
('CDI', '1991', '1992', '30'),
('CHA', '2010', '2010', '49'),
('CHA', '2011', '2011', '55'),
('CHA', '2012', '2012', '53'),
('CHA', '2013', '2014', '54'),
('CHA', '2015', NULL, '56'),
('CHI', '2001', '2010', '54'),
('CHI', '2011', '2014', '55'),
('CHI', '2015', NULL, '56'),
('CMD', '1997', '1999', '51'),
('CMD', '2000', '2000', '53'),
('CMD', '2001', '2002', '56'),
('CMD', '2003', '2004', '54'),
('CLE', '2001', '2002', '56'),
('CLE', '2003', '2005', '52'),
('HFD', '1997', '2000', '46'),
('HFD', '2001', '2002', '49'),
('HFD', '2003', '2009', '44'),
('CON', '2010', '2010', '44'),
('CON', '2011', '2012', '48'),
('HFD', '2013', '2014', '48'),
('HFD', '2015', NULL, '44'),
('CRA', '1993', '1994', '31'),
('CRA', '1995', '1995', '34'),
('EDR', '2004', '2004', '52'),
('ERB', '1981', '1981', '31'),
('FRC', '1990', '1990', '30'),
('FRC', '1991', '1994', '29'),
('FRC', '1995', '1995', '34'),
('FRC', '1996', '1996', '36'),
('FRC', '1997', '1998', '44'),
('FRE', '1981', '1987', '30'),
('GR', '2001', '2001', '54'),
('GR', '2002', '2002', '56'),
('GR', '2003', '2004', '54'),
('GR', '2005', '2011', '52'),
('GR', '2012', '2014', '55'),
('GR', '2015', NULL, '56'),
('HFC', '1988', '1990', '30'),
('HFC', '1991', '1992', '29'),
('HAM', '2002', '2002', '45'),
('HAM', '2003', '2014', '52'),
('HMB', '1996', '1996', '36'),
('HMB', '1997', '1999', '50'),
('HMB', '2000', '2001', '45'),
('HMC', '1992', '1993', '31'),
('HER', '1940', '1941', '28'),
('HER', '1942', '1951', '27'),
('HER', '1952', '1960', '26'),
('HER', '1961', '1968', '27'),
('HER', '1969', '1972', '28'),
('HER', '1973', '1975', '31'),
('HER', '1976', '1976', '26'),
('HER', '1977', '1994', '31'),
('HER', '1995', '1995', '39'),
('HER', '1996', '1996', '41'),
('HER', '1997', '2000', '51'),
('HER', '2001', '2002', '53'),
('HER', '2003', '2014', '49'),
('HER', '2015', NULL, '44'),
('HOU', '2001', '2011', '54'),
('HOU', '2012', '2012', '53'),
('IAC', '2008', '2008', '54'),
('IAS', '2005', '2007', '54'),
('IAW', '2013', '2013', '55'),
('IAW', '2014', '2014', '54'),
('IAW', '2015', NULL, '56'),
('KNT', '1996', '1996', '41'),
('KNT', '1997', '1999', '51'),
('KNT', '2000', '2000', '53'),
('LE', '2007', '2013', '52'),
('LE', '2014', '2014', '55'),
('LE', '2015', NULL, '56'),
('LV', '2014', '2014', '49'),
('LV', '2015', NULL, '44'),
('LWM', '1998', '1999', '44'),
('LWM', '2000', '2000', '46'),
('LWM', '2001', '2002', '47'),
('LWM', '2003', '2005', '44'),
('LWD', '2006', '2009', '44'),
('MAM', '1977', '1986', '30'),
('MAR', '1987', '1991', '30'),
('MCH', '2001', '2002', '47'),
('MCH', '2003', '2014', '44'),
('MTB', '2001', '2002', '45'),
('MTB', '2003', '2010', '52'),
('MTB', '2015', NULL, '56'),
('MIL', '2001', '2010', '54'),
('MIL', '2011', '2014', '55'),
('MIL', '2015', NULL, '56'),
('MTV', '1969', '1970', '27'),
('NSV', '1971', '1972', '27'),
('NSV', '1973', '1975', '30'),
('NSV', '1976', '1976', '26'),
('NSV', '1977', '1983', '30'),
('NBH', '1978', '1981', '30'),
('NHN', '1972', '1972', '27'),
('NHN', '1973', '1974', '30'),
('NHN', '1975', '1975', '31'),
('NHN', '1976', '1976', '26'),
('NHN', '1977', '1986', '31'),
('NHN', '1987', '1992', '30'),
('SCS', '1982', '1985', '31'),
('NMS', '1986', '1991', '31'),
('NOR', '2000', '2002', '53'),
('NOR', '2003', '2014', '49'),
('OKC', '2010', '2011', '54'),
('OKC', '2012', '2012', '53'),
('OKC', '2013', '2014', '54'),
('OMA', '2005', '2006', '54'),
('ONT', '2015', NULL, '57'),
('PEO', '2005', '2010', '54'),
('PEO', '2011', '2012', '55'),
('PHI', '1996', '1996', '41'),
('PHI', '1997', '2000', '51'),
('PHI', '2001', '2002', '53'),
('PHI', '2003', '2008', '49'),
('POR', '1993', '1994', '30'),
('POR', '1995', '1995', '35'),
('POR', '1996', '1996', '40'),
('POR', '1997', '1998', '44'),
('POR', '1999', '2000', '46'),
('POR', '2001', '2002', '47'),
('POR', '2003', NULL, '44'),
('PRS', '1993', '1994', '29'),
('PRS', '1995', '1995', '34'),
('PRO', '1992', '1994', '30'),
('PRO', '1995', '1995', '35'),
('PRO', '1996', '1996', '40'),
('PRO', '1997', '2000', '46'),
('PRO', '2001', '2001', '49'),
('PRO', '2002', '2002', '47'),
('PRO', '2003', NULL, '44'),
('PRR', '1940', '1951', '27'),
('PRR', '1952', '1960', '26'),
('PRR', '1961', '1972', '27'),
('PRR', '1973', '1975', '30'),
('PRR', '1976', '1976', '26'),
('QC', '2007', '2008', '54'),
('QCC', '1999', '1999', '44'),
('QCC', '2000', '2001', '45'),
('RCH', '1956', '1960', '26'),
('RCH', '1961', '1970', '28'),
('RCH', '1971', '1972', '27'),
('RCH', '1973', '1975', '30'),
('RCH', '1976', '1976', '26'),
('RCH', '1977', '1994', '31'),
('RCH', '1995', '1995', '38'),
('RCH', '1996', '1996', '37'),
('RCH', '1997', '1999', '50'),
('RCH', '2000', '2000', '51'),
('RCH', '2001', '2002', '56'),
('RCH', '2003', '2014', '52'),
('RCH', '2015', NULL, '47'),
('RFD', '2007', '2010', '54'),
('RFD', '2011', '2014', '55'),
('RFD', '2015', NULL, '56'),
('SJF', '1993', '1994', '29'),
('SJF', '1995', '1995', '34'),
('SJF', '1996', '1996', '36'),
('SJF', '1997', '1999', '44'),
('SJF', '2000', '2002', '45'),
('SA', '2002', '2011', '54'),
('SA', '2012', '2012', '53'),
('SA', '2013', '2014', '54'),
('SA', '2015', NULL, '57'),
('SD', '2015', NULL, '57'),
('SJ', '2015', NULL, '57'),
('SHC', '1984', '1989', '30'),
('SPR', '1994', '1994', '30'),
('SPR', '1995', '1995', '35'),
('SPR', '1996', '1996', '40'),
('SPR', '1997', '2000', '46'),
('SPR', '2001', '2001', '47'),
('SPR', '2002', '2002', '49'),
('SPR', '2003', '2010', '44'),
('SPR', '2011', '2014', '48'),
('SPR', '2015', NULL, '44'),
('SPI', '1940', '1941', '27'),
('SPI', '1946', '1950', '27'),
('SYW', '1951', '1951', '27'),
('SYW', '1952', '1953', '26'),
('SPI', '1954', '1960', '26'),
('SPI', '1961', '1972', '27'),
('SPI', '1973', '1975', '30'),
('SPI', '1976', '1976', '26'),
('SPI', '1977', '1981', '30'),
('SPI', '1982', '1986', '31'),
('SPI', '1987', '1993', '30'),
('STJ', '2011', '2014', '44'),
('SJI', '2015', NULL, '47'),
('SJM', '1991', '1994', '29'),
('SJM', '1995', '1995', '34'),
('SJM', '1996', '1996', '36'),
('SJM', '1997', '1999', '44'),
('SJM', '2000', '2002', '45'),
('SJM', '2003', '2004', '52'),
('STO', '2015', NULL, '57'),
('SYR', '1994', '1994', '31'),
('SYR', '1995', '1995', '38'),
('SYR', '1996', '1996', '37'),
('SYR', '1997', '1999', '50'),
('SYR', '2000', '2000', '51'),
('SYR', '2001', '2002', '56'),
('SYR', '2003', '2008', '52'),
('SYR', '2009', '2013', '49'),
('SYR', '2014', '2014', '48'),
('SYR', '2015', NULL, '47'),
('TEX', '2009', '2011', '54'),
('TEX', '2012', '2012', '53'),
('TEX', '2013', '2014', '54'),
('TEX', '2015', NULL, '57'),
('TOR', '2005', '2014', '52'),
('TOR', '2015', NULL, '47'),
('TRR', '2003', '2003', '52'),
('UTG', '2001', '2004', '54'),
('UTI', '2013', '2014', '52'),
('UTI', '2015', NULL, '47'),
('UTD', '1987', '1992', '31'),
('WBS', '1999', '1999', '50'),
('WBS', '2000', '2000', '51'),
('WBS', '2001', '2002', '53'),
('WBS', '2003', '2014', '49'),
('WBS', '2015', NULL, '44'),
('WRI', '1994', '1994', '30'),
('WRI', '1995', '1995', '35'),
('WRI', '1996', '1996', '40'),
('WRI', '1997', '2000', '46'),
('WRI', '2001', '2002', '47'),
('WRI', '2003', '2004', '44'),
('WOR', '2006', '2014', '44'),
('LOP', '1999', '1999', '51'),
('LOP', '2000', '2000', '53');
